Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
TamlCustomNode Class Reference
TAML Reference

`#include <tamlCustom.h>`

Inheritance diagram for TamlCustomNode:

## Public Member Functions
| TamlCustomNode ()
virtual | ~TamlCustomNode ()
virtual void | resetState (void)
TamlCustomNode * | addNode (SimObject *pProxyObject)
TamlCustomNode * | addNode (const char *pNodeName, const bool ignoreEmpty=true)
void | removeNode (const U32 index)
const TamlCustomNode * | findNode (const char *pNodeName) const
TamlCustomField * | addField (const char *pFieldName, const ColorI &fieldValue)
TamlCustomField * | addField (const char *pFieldName, const ColorF &fieldValue)
TamlCustomField * | addField (const char *pFieldName, const Point2I &fieldValue)
TamlCustomField * | addField (const char *pFieldName, const Point2F &fieldValue)
TamlCustomField * | addField (const char *pFieldName, const b2Vec2 &fieldValue)
TamlCustomField * | addField (const char *pFieldName, const U32 fieldValue)
TamlCustomField * | addField (const char *pFieldName, const bool fieldValue)
TamlCustomField * | addField (const char *pFieldName, const S32 fieldValue)
TamlCustomField * | addField (const char *pFieldName, const float fieldValue)
TamlCustomField * | addField (const char *pFieldName, const char *fieldValue)
const TamlCustomField * | findField (const char *pFieldName) const
void | setNodeName (const char *pNodeName)
StringTableEntry | getNodeName (void) const
void | setWriteNode (TamlWriteNode *pWriteNode)
void | setNodeText (const char *pNodeText)
const TamlCustomField & | getNodeTextField (void) const
TamlCustomField & | getNodeTextField (void)
const Vector< TamlCustomNode * > & | getChildren (void) const
const TamlCustomFieldVector & | getFields (void) const
bool | isProxyObject (void) const
template<typename T >
T * | getProxyObject (const bool deleteIfNotType) const
const TamlWriteNode * | getProxyWriteNode (void) const
bool | isEmpty (void) const
void | setIgnoreEmpty (const bool ignoreEmpty)
bool | getIgnoreEmpty (void) const

## Detailed Description

See also
  TAML Reference

## Constructor & Destructor Documentation

TamlCustomNode | ( |  | ) |
| inline

virtual ~TamlCustomNode | ( |  | ) |
| inline virtual

## Member Function Documentation

TamlCustomField* addField | ( | const char * | pFieldName,
|  | const ColorI & | fieldValue
| ) |  |
| inline

TamlCustomField* addField | ( | const char * | pFieldName,
|  | const ColorF & | fieldValue
| ) |  |
| inline

TamlCustomField* addField | ( | const char * | pFieldName,
|  | const Point2I & | fieldValue
| ) |  |
| inline

TamlCustomField* addField | ( | const char * | pFieldName,
|  | const Point2F & | fieldValue
| ) |  |
| inline

TamlCustomField* addField | ( | const char * | pFieldName,
|  | const b2Vec2 & | fieldValue
| ) |  |
| inline

TamlCustomField* addField | ( | const char * | pFieldName,
|  | const U32 | fieldValue
| ) |  |
| inline

TamlCustomField* addField | ( | const char * | pFieldName,
|  | const bool | fieldValue
| ) |  |
| inline

TamlCustomField* addField | ( | const char * | pFieldName,
|  | const S32 | fieldValue
| ) |  |
| inline

TamlCustomField* addField | ( | const char * | pFieldName,
|  | const float | fieldValue
| ) |  |
| inline

TamlCustomField* addField | ( | const char * | pFieldName,
|  | const char * | fieldValue
| ) |  |
| inline

TamlCustomNode* addNode | ( | SimObject * | pProxyObject | ) |
| inline

TamlCustomNode* addNode | ( | const char * | pNodeName,
|  | const bool | ignoreEmpty = `true`
| ) |  |
| inline

const TamlCustomField* findField | ( | const char * | pFieldName | ) | const
| inline

const TamlCustomNode* findNode | ( | const char * | pNodeName | ) | const
| inline

const Vector<TamlCustomNode*>& getChildren | ( | void |  | ) | const
| inline

const TamlCustomFieldVector& getFields | ( | void |  | ) | const
| inline

bool getIgnoreEmpty | ( | void |  | ) | const
| inline

StringTableEntry getNodeName | ( | void |  | ) | const
| inline

const TamlCustomField& getNodeTextField | ( | void |  | ) | const
| inline

TamlCustomField& getNodeTextField | ( | void |  | ) |
| inline

T* getProxyObject | ( | const bool | deleteIfNotType | ) | const
| inline

const TamlWriteNode* getProxyWriteNode | ( | void |  | ) | const
| inline

bool isEmpty | ( | void |  | ) | const
| inline

bool isProxyObject | ( | void |  | ) | const
| inline

void removeNode | ( | const U32 | index | ) |
| inline

virtual void resetState | ( | void |  | ) |
| inline virtual

Implements IFactoryObjectReset.

void setIgnoreEmpty | ( | const bool | ignoreEmpty | ) |
| inline

void setNodeName | ( | const char * | pNodeName | ) |
| inline

void setNodeText | ( | const char * | pNodeText | ) |
| inline

void setWriteNode | ( | TamlWriteNode * | pWriteNode | ) |

The documentation for this class was generated from the following files:

- persistence/taml/tamlCustom.h
- persistence/taml/tamlCustom.cc